/**
 *
 */
package org.glassfish;

import java.io.IOException;

import javax.inject.Inject;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.jboss.weld.manager.BeanManagerImpl;

/**
 * @author David Matějček
 */
public class SomeServlet extends HttpServlet {
  private static final long serialVersionUID = 2634995067830800694L;

  // will not work without beans.xml.
  @Inject
  private BeanManagerImpl beanManager;

  @Override
  public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    response.setContentType("text/plain");
    response.getWriter().println("<html><body>XXX</body></html><!--" + beanManager + "-->");
  }
}
